# @sapphirecode/encoding-helper

version: 1.0.x

Converting strings between different encodings

## Installation

npm:

> npm i --save @sapphirecode/encoding-helper

yarn:

> yarn add @sapphirecode/encoding-helper

## Usage

```js
const encoding = require('@sapphirecode/encoding-helper');

const hex = encoding.to_hex('abc'); // convert any encoding to hex, default is utf-8
const b64 = encoding.to_b64(hex, 'hex'); // convert any encoding to base64, default is utf-8
const utf8 = encoding.to_utf8(hex, 'hex'); // convert any encoding to utf-8, no default
const hexn = encoding.num_to_hex(10); // convert a number to hex
const num = encoding.hex_to_num('a'); // convert hex to a number
```

## License

MIT © Timo Hocker <timo@scode.ovh>
